///////////////////////////////////////////////////////////////////
// Kickout Dialogue for the Kivan
///////////////////////////////////////////////////////////////////
BEGIN MOKIVANP

IF ~HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)~ THEN BEGIN 0
  SAY @7025
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
EscapeArea()~ EXIT
END

IF ~!HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",0)~ THEN BEGIN 1
  SAY @7026 
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
ChangeAIScript("",DEFAULT)~ EXIT
END

IF ~!HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",1)~ THEN BEGIN 2
  SAY @7027
  IF ~~ THEN REPLY @7028 GOTO 3  // Work that shall have to wait, I'm afraid. I do not wish to have you back just yet.
  IF ~~ THEN REPLY @7029 GOTO 4  // I would tend to agree. Perhaps we should rejoin and continue on our way.
END

IF ~~ THEN BEGIN 3
  SAY @7030 
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
ChangeAIScript("",DEFAULT)~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @7023
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
END